// Point3D.cpp


#include <iostream>
#include "Point3D.h"


Point3D::Point3D() { // εξ ορισμού αρχή των αξόνων (0,0,0)
  x=y=z=0;
}

Point3D::Point3D(double a, double b, double c) {
  x=a;
  y=b;
  z=c;
}

Point3D::Point3D(double a, double b) {
  x=a;
  y=b;
  z=0;
}

Point3D::Point3D(double a) {
  x=a;
  y=0;
  z=0;
}

Point3D::~Point3D() {}

double Point3D::getx() const { return x; }
double Point3D::gety() const { return y; }
double Point3D::getz() const { return z; }

void Point3D::setx(double x) { this->x = x; }
void Point3D::sety(double q) { y=q; }
void Point3D::setz(double q) { z=q; }

void Point3D::print() {
  std::cout << "(" << x << "," << y << "," << z << ")" ;
}
