// Vector3D.cpp

#include <iostream>
#include "Vector3D.h"

Vector3D::Vector3D() { // εξ ορισμού (0,0,0) -> (0,0,0)
  A.setx(0);
  A.sety(0);
  A.setz(0);
  T.setx(0);
  T.sety(0);
  T.setz(0);
}

Vector3D::Vector3D(const Point3D & a , const Point3D & t) {
  A.setx( a.getx() );
  A.sety( a.gety() );
  A.setz( a.getz() );
  T.setx( t.getx() );
  T.sety( t.gety() );
  T.setz( t.getz() );
}

Vector3D::Vector3D(const Point3D & t) { // αρχή = (0,0,0)
  A.setx( 0        );
  A.sety( 0        );
  A.setz( 0        );
  T.setx( t.getx() );
  T.sety( t.gety() );
  T.setz( t.getz() );
}
Vector3D::~Vector3D() {}

Point3D & Vector3D::getA() { return A; }
Point3D & Vector3D::getT() { return T; }

void Vector3D::setA(const Point3D & a) {
  A.setx( a.getx() );
  A.sety( a.gety() );
  A.setz( a.getz() );
}

void Vector3D::setT(const Point3D & t) {
  T.setx( t.getx() );
  T.sety( t.gety() );
  T.setz( t.getz() );
}

void Vector3D::print() { // (Ax,Ay,Az)->(Tx,Ty,Tz)
  A.print();
  std::cout << "->";
  T.print();
}
